Skip to navigation

Get verification method

Tells you whether an identity document can go through the automated Veriff flow or needs the manual verification flow. Call it before starting verification so you can choose between creating a Veriff session with POST /rest/veriff/session and submitting a manual verification with POST /rest/screenings/manual-verification.

Token scopes: screenings:read, worker:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

countrystringRequired=2 characters

The document’s issuing country code (ISO 3166-1 alpha-2)

document_typeenumRequired
The document to be provided during KYC
Allowed values:

Response

Successful operation
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error